# .AuthApi

All URIs are relative to *https://api.fido.com/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**accountLogin**](AuthApi.md#accountLogin) | **POST** /auth/login | Login to an existing user account.
[**createAccount**](AuthApi.md#createAccount) | **POST** /auth/register | Creates a new user account.


# **accountLogin**
> TokenResponse accountLogin()

 User Account Login 

### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .AuthApi(configuration);

let body:.AuthApiAccountLoginRequest = {
  // LoginRequest (optional)
  loginRequest: {
    email: "john.doe@mail.com",
    password: "Password@20",
  },
};

apiInstance.accountLogin(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **loginRequest** | **LoginRequest**|  |


### Return type

**TokenResponse**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**201** | Success |  -  |
**0** |  |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)

# **createAccount**
> void createAccount()

 Email address must be unique. After successful registration, an email is sent to verify the account. 

### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .AuthApi(configuration);

let body:.AuthApiCreateAccountRequest = {
  // CreateAccountRequest (optional)
  createAccountRequest: null,
};

apiInstance.createAccount(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **createAccountRequest** | **CreateAccountRequest**|  |


### Return type

**void**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**201** | Success |  -  |
**0** |  |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)


